Mozilla Firefox SVG Processing Remote Code Execution Vulnerability

2006-12-19T00:00:00
ID ZDI-06-051
Type zdi
Reporter Anonymous
Modified 2006-11-09T00:00:00

Description

This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of Mozilla Firefox. User interaction is required to exploit this vulnerability in that the target must visit a malicious page.

The specific flaw exists in the browser's handling of SVG comment objects. Firefox does not correctly handle requests to append SVG comments to elements in other types of documents. Attempting such an operation results in a memory corruption that can be exploited to execute arbitrary code.